package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.OutingConfirmationFormPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraOutingConfirmationFormDO;

import java.util.List;

/**
 * (附件)外出情况确认书 Service 接口
 *
 * @author 管理员
 */
public interface ElderlyExtraOutingConfirmationFormService {

    Long create(ElderlyExtraOutingConfirmationFormDO createReqVO);

    void update(ElderlyExtraOutingConfirmationFormDO updateReqVO);

    void delete(Long id);

    PageResult<ElderlyExtraOutingConfirmationFormDO> findPage(OutingConfirmationFormPageReqVO reqVO);

    ElderlyExtraOutingConfirmationFormDO getDetail(Long id);

    List<ElderlyExtraOutingConfirmationFormDO> getListByElderId(Long elderId);

}
